package com.ssm.manage.service;

import com.ssm.core.service.BaseService;
import com.ssm.manage.entity.RechargeMoney;
import com.ssm.manage.entity.SmsFix;

import java.util.List;

public interface SmsFixService extends BaseService<SmsFix> {
    int saveSmsFix(SmsFix smsFix);

    List<SmsFix> selectBystoreId(SmsFix smsFix);

    int updateUnAudit(SmsFix smsFix);

    void unAudit(SmsFix smsFix);

    void updateBySmsFix(SmsFix smsFix);

    int deleteById(Long id);

    List<SmsFix> selectByTypeAndStoreId(SmsFix smsFix);

    List<SmsFix> pageByPingTai(SmsFix smsFix);
}
